cURL
curl -X GET "https://app.cotool.ai/api/alerts/:alertId/timeline" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/alerts/{alertId}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/alerts/{alertId}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/alerts/{alertId}/timeline")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alerts/{alertId}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"actorType": "human",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserName": "<string>",
"actorUserImageUrl": "<string>",
"kind": "created",
"bodyMarkdown": "<string>",
"beforeStatus": "open",
"afterStatus": "open",
"metadata": {
"source": {
"category": "detection",
"name": "cotool_detection",
"triggerType": "jira"
},
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePayloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"actorAgentName": "<string>"
}
],
"totalCount": 1
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Alerts
Get alert timeline
Retrieve paginated timeline entries for an alert.
GET
/
api
/
alerts
/
{alertId}
/
timeline
cURL
curl -X GET "https://app.cotool.ai/api/alerts/:alertId/timeline" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/alerts/{alertId}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/alerts/{alertId}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/alerts/{alertId}/timeline")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alerts/{alertId}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"actorType": "human",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserName": "<string>",
"actorUserImageUrl": "<string>",
"kind": "created",
"bodyMarkdown": "<string>",
"beforeStatus": "open",
"afterStatus": "open",
"metadata": {
"source": {
"category": "detection",
"name": "cotool_detection",
"triggerType": "jira"
},
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePayloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"actorAgentName": "<string>"
}
],
"totalCount": 1
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Alert UUID or human-readable display ID
Query Parameters
Maximum number of timeline entries to return
Required range:
1 <= x <= 200Number of timeline entries to skip
Required range:
x >= 0Was this page helpful?
⌘I